## org.eclipse.emf.ecore.xml.type
Interface XMLTypeDocumentRoot

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  XMLTypeDocumentRootImpl

    public interface XMLTypeDocumentRoot

extends EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`

See Also:
  `XMLTypePackage.getXMLTypeDocumentRoot()`

Method Summary
`FeatureMap` `getMixed()` Returns the value of the 'Mixed' attribute list.
`EMap<java.lang.String,java.lang.String>` `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`EMap<java.lang.String,java.lang.String>` `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `XMLTypePackage.getXMLTypeDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    EMap<java.lang.String,java.lang.String> getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `XMLTypePackage.getXMLTypeDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    EMap<java.lang.String,java.lang.String> getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `XMLTypePackage.getXMLTypeDocumentRoot_XSISchemaLocation()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.